MyGUI: MyGUI::SubWidgetBinding Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Friends
MyGUI::SubWidgetBinding Class Reference

`#include <MyGUI_SubWidgetBinding.h>`

## Public Member Functions
| SubWidgetBinding ()
| SubWidgetBinding (const IntCoord &_coord, Align _aligin, const std::string &_type)
void | create (const IntCoord &_coord, Align _aligin, const std::string &_type)
void | clear ()
void | add (const std::string &_name, IStateInfo *_data, const std::string &_skin)

## Friends
class | ResourceSkin

## Detailed Description

Definition at line 17 of file MyGUI_SubWidgetBinding.h.

## Constructor & Destructor Documentation

## ◆ SubWidgetBinding() [1/2]

MyGUI::SubWidgetBinding::SubWidgetBinding | ( |  | ) |

Definition at line 13 of file MyGUI_SubWidgetBinding.cpp.

## ◆ SubWidgetBinding() [2/2]

MyGUI::SubWidgetBinding::SubWidgetBinding | ( | const IntCoord & | _coord,
|  | Align | _aligin,
|  | const std::string & | _type )

Definition at line 18 of file MyGUI_SubWidgetBinding.cpp.

## Member Function Documentation

## ◆ add()

void MyGUI::SubWidgetBinding::add | ( | const std::string & | _name,
|  | IStateInfo * | _data,
|  | const std::string & | _skin )

Definition at line 38 of file MyGUI_SubWidgetBinding.cpp.

## ◆ clear()

void MyGUI::SubWidgetBinding::clear | ( |  | ) |

Definition at line 31 of file MyGUI_SubWidgetBinding.cpp.

## ◆ create()

void MyGUI::SubWidgetBinding::create | ( | const IntCoord & | _coord,
|  | Align | _aligin,
|  | const std::string & | _type )

Definition at line 23 of file MyGUI_SubWidgetBinding.cpp.

## Friends And Related Symbol Documentation

## ◆ ResourceSkin

friend class ResourceSkin
| friend

Definition at line 20 of file MyGUI_SubWidgetBinding.h.

The documentation for this class was generated from the following files:

- MyGUI_SubWidgetBinding.h
- MyGUI_SubWidgetBinding.cpp